Last Comment Bug 726933 - Warn about getPreventDefault being deprecated
: Warn about getPreventDefault being deprecated
Status: RESOLVED FIXED
: addon-compat, dev-doc-complete, site-compat
Product: Core
Classification: Components
Component: DOM: Events (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla24
Assigned To: Masatoshi Kimura [:emk]
:
Mentors:
Depends on:
Blocks: 691151
  Show dependency treegraph
 
Reported: 2012-02-14 00:41 PST by Dão Gottwald [:dao]
Modified: 2013-05-27 19:39 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Add a deprecation warning to getPreventDefault (3.72 KB, patch)
2013-05-23 21:59 PDT, Masatoshi Kimura [:emk]
bugs: review+
Details | Diff | Splinter Review

Description Dão Gottwald [:dao] 2012-02-14 00:41:47 PST
+++ This bug was initially created as a clone of Bug #691151 +++

This is not standard and has a standard alternative (defaultPrevented property).
There is no reason to keep this around forever.
Comment 1 Masatoshi Kimura [:emk] 2013-05-23 21:59:54 PDT
Created attachment 753617 [details] [diff] [review]
Add a deprecation warning to getPreventDefault

https://tbpl.mozilla.org/?tree=Try&rev=578426a424f9
Comment 3 Masatoshi Kimura [:emk] 2013-05-24 16:47:13 PDT
Reverted (see bug 691151 for details).
https://hg.mozilla.org/integration/mozilla-inbound/rev/f3afa7937265
Comment 4 Masatoshi Kimura [:emk] 2013-05-27 07:45:08 PDT
Fixed call sites, relanding.
https://hg.mozilla.org/integration/mozilla-inbound/rev/dd8f0acfc948
Comment 5 Phil Ringnalda (:philor) 2013-05-27 18:56:04 PDT
https://hg.mozilla.org/mozilla-central/rev/dd8f0acfc948
Comment 6 Kohei Yoshino [:kohei] 2013-05-27 19:39:58 PDT
Mentioned in the compatibility document:
https://developer.mozilla.org/en-US/docs/Site_Compatibility_for_Firefox_24

The method has already been marked deprecated in other documents.

Note You need to log in before you can comment on or make changes to this bug.